summaryrefslogtreecommitdiffstats
path: root/ci/kolla-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/kolla-build.sh')
-rwxr-xr-xci/kolla-build.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/ci/kolla-build.sh b/ci/kolla-build.sh
index 44b1c038..b3b9fca3 100755
--- a/ci/kolla-build.sh
+++ b/ci/kolla-build.sh
@@ -129,15 +129,16 @@ function build_kolla_image_in_daisy_vm()
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/ci/kolla-build-vm.sh $VM_PARAMS"
rc=$?
if [ $rc -ne 0 ]; then
- echo "daisy install failed"
+ echo "image build failed"
exit 1
else
- echo "daisy install successfully"
+ echo "image build successfully"
fi
rm -rf $BUILD_OUTPUT_DIR
- mkdir -p $BUILD_OUTPUT_DIR
scp -r root@$DAISY_IP:$BUILD_OUTPUT_DIR $WORK_DIR
+ realuser=$(who am i | awk '{print $1}')
+ chown -R $realuser:$realuser $WORK_DIR
}
trap "error_trap" EXIT SIGTERM